Bug 494643 - Polypolygon records in an EMF (converted from EPS) incorrectly rejected as invalid
Polypolygon records in an EMF (converted from EPS) incorrectly rejected as in...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-07 13:21 EDT by Tim Waugh
Modified: 2009-05-15 19:32 EDT (History)
1 user (show)

See Also:
Fixed In Version: 3.0.1-15.4.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-15 19:32:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
what we end up rendering (3.37 KB, application/octet-stream)
2009-04-07 16:08 EDT, Caolan McNamara
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 100942 None None None Never

  None (edit)
Comment 2 Caolan McNamara 2009-04-07 16:07:21 EDT
That .eps doesn't contain a usable preview image so OOo gets pstoedit to create one for it to show on-screen. A final printed to .ps document would contain the original .eps.

So the evocation is effectively...

/usr/bin/pstoedit -f emf:-OO /tmp/demome.eps -o /tmp/output.emf
and the next fall-back is
convert -density 300x300 eps:/tmp/demome.eps png:/tmp/output.png
with the metafile one preferred over a bitmap.

So the output.emf in this case is attached, not sure what else we've got that can import .emf files to see if this .emf is in black-and-white and this is a bug/failure in pstoedit or if we're not able to import the .emf colours.
Comment 3 Caolan McNamara 2009-04-07 16:08:34 EDT
Created attachment 338593 [details]
what we end up rendering
Comment 4 Caolan McNamara 2009-04-08 04:48:05 EDT
Checking in word under wine shows that the .emf is shown with colours, so the .emf was converted fine by pstoedit, the problem lies in our emf handling
Comment 5 Caolan McNamara 2009-04-08 07:42:09 EDT
Ah, oversafe bounds test is working in terms of two longs for a point as in a OOo point, and not in terms of two 16bit shorts for a point as in EMF points.

Fixed filed upstream, checked into rawhide and F-10. Will be in 
>= 3.1.0-9.2.f11
and
>= 3.0.1-15.4.f10 if there is another F-10 update
Comment 6 Fedora Update System 2009-05-05 07:23:19 EDT
openoffice.org-3.0.1-15.4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/openoffice.org-3.0.1-15.4.fc10
Comment 7 Fedora Update System 2009-05-06 19:28:37 EDT
openoffice.org-3.0.1-15.4.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openoffice.org'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-4273
Comment 8 Tim Waugh 2009-05-15 08:15:56 EDT
Sorry for the delay in testing.  Yes, this package works fine now.  Thanks!
Comment 9 Fedora Update System 2009-05-15 19:32:03 EDT
openoffice.org-3.0.1-15.4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.